<?php
// WizyTówka - admin/wyglad.php
if ( !defined('WT') ) exit();

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

  if ( $b == 'edycja-motywu' ) {
  
    $motyw = odczyt_motyw( odczyt_konf('wyglad','motyw') );
    
    if ( !$motyw['wlasne'] ) {
      kopiuj_plik ( SYSTEM . '/motywy/' . $motyw['nazwa'] . '.wtm' , DANE . '/motywy/' . $motyw['nazwa'] . '.wtm' );
      kopiuj_plik ( SYSTEM . '/motywy/' . $motyw['nazwa'] . '.php' , DANE . '/motywy/' . $motyw['nazwa'] . '.php' );
      kopiuj_plik ( SYSTEM . '/motywy/' . $motyw['nazwa'] . '.css' , DANE . '/motywy/' . $motyw['nazwa'] . '.css' );
      if ( !empty($motyw['pliki_dodatkowe']) ) {
        foreach ( $motyw['pliki_dodatkowe'] as $element )
          kopiuj_plik ( SYSTEM . '/motywy/' . $motyw['nazwa'] . '_' . $element , DANE . '/motywy/' . $motyw['nazwa'] . '_' . $element );
      }
      zapis_konf_poj ( 'wyglad' , 'motyw' , 'd_'.$motyw['nazwa'] );
    }
    
    array_map( 'htmlspecialchars_decode', $_POST );
    
    zapisz_plik ( DANE . '/motywy/' . $motyw['nazwa'] . '.php', $_POST['php'] );
    zapisz_plik ( DANE . '/motywy/' . $motyw['nazwa'] . '.css', $_POST['css'] );
    
    $admin_naglowek['komunikat'] = 1;
    
  }
  
  else {

    if ( $_POST['rozmiar_tekstu'] > 70 or $_POST['rozmiar_tekstu'] < 6 )
      $_POST['rozmiar_tekstu'] = 14;
    if ( $_POST['szerokosc_strony'] < 400 )
      $_POST['szerokosc_strony'] = 400;

    if ( $_POST['usun_logo'] ) {
      if ( file_exists( PLIKI . '/' . $_POST['logo'] ) )
        usun_plik( PLIKI . '/' . $_POST['logo'] );
      $_POST['logo'] = null;
      $admin_naglowek['komunikat'] = 'dob.Logo zostało usunięte.';
    }

    if ( !empty($_FILES['plik_logo']['name']) ) {
      if ( !sprawdz_nazwe ($_FILES['plik_logo']['name']) )
        $admin_naglowek['komunikat'] = 'zle.Nazwa pliku jest nieprawidłowa.';
      else {
        if ( file_exists( PLIKI . '/' . $_FILES['plik_logo']['name'] ) ) {
          $admin_naglowek['komunikat'] = 'zle.Plik o podanej nazwie już istnieje.';
          $_POST['logo'] = $_FILES['plik_logo']['name'];
        }
        else {
          if ( !$wyslany_plik = wyslij_plik ( $_FILES['plik_logo'] ) )
            $admin_naglowek['komunikat'] = 2;
          else {
            $admin_naglowek['komunikat'] = 'dob.Logo zostało wysłane.';
            $_POST['logo'] = $wyslany_plik;
          }
        }
      }
    }

    unset($_POST['usun_logo']);
    unset($_POST['usun_motyw']);
    zapis_konf('wyglad',$_POST);
    if ( empty($admin_naglowek['komunikat']) )
      $admin_naglowek['komunikat'] = 1;
    
  }
}

$odczyt = odczyt_konf ('wyglad');
$motyw  = odczyt_motyw($odczyt['motyw']);

if ( $b == 'edycja-motywu' )
  $admin_naglowek['tytul'] = 'Wygląd &ndash; ' . $motyw['nazwa_motywu'];
else
  $admin_naglowek['tytul'] = 'Wygląd';
include('_naglowek.php');
?>

<form method="post" enctype="multipart/form-data">

<?php
if ( $b == 'edycja-motywu' ) {
  if ( $motyw['wlasne'] )
    $plik = DANE . '/motywy/' . $motyw['nazwa'];
  else
    $plik = SYSTEM . '/motywy/' . $motyw['nazwa'];
  $plik_php = htmlspecialchars( otworz_plik ( $plik . '.php' ) );
  $plik_css = htmlspecialchars( otworz_plik ( $plik . '.css' ) );
?>
<table>

<caption>Kod PHP</caption>

<tr> <td><textarea name="php" class="duze-pole-tekstowe szerokosc100proc" spellcheck="false"><?php echo $plik_php ?></textarea></td> </tr>

</table>

<table>

<caption>Styl CSS</caption>

<tr> <td><textarea name="css" class="duze-pole-tekstowe szerokosc100proc" spellcheck="false"><?php echo $plik_css ?></textarea></td> </tr>

</table>
<?php } else { ?>
<table>

<caption>Ustawienia użytkownika</caption>

<tr> <td>Kolor tekstu:</td> <td><input type="text" name="kolor_tekstu" value="<?php echo $odczyt['kolor_tekstu'] ?>" class="color  {hash:true,pickerMode:'HVS',pickerFaceColor:'#E9E9E9',pickerBorder:0}" /></td> </tr>
<tr> <td>Kolor tła:</td> <td><input type="text" name="kolor_tla" value="<?php echo $odczyt['kolor_tla'] ?>" class="color  {hash:true,pickerMode:'HVS',pickerFaceColor:'#E9E9E9',pickerBorder:0}" /></td> </tr>
<tr> <td>Rozmiar tekstu:</td> <td><input type="number" name="rozmiar_tekstu" value="<?php echo $odczyt['rozmiar_tekstu'] ?>" min="6" max="70" /></td> </tr>
<tr> <td>Krój tekstu:</td> <td>

<select name="kroj_tekstu">
<?php
$kroje_standardowe = array ( 'Arial', 'Tahoma', 'Verdana', 'Trebuchet MS', 'Georgia', 'Times New Roman' );
$kroje_webfonts    = array ( 'Armata', 'Average Sans', 'Cantora One', 'Capriola', 'Doppio One', 'Duru Sans',
                             'Exo', 'Hammersmith One', 'Inder', 'Istok Web', 'Magra', 'Open Sans', 'Oxygen', 'PT Sans',
                             'Pontano Sans', 'Righteous', 'Scada', 'Signika Negative', 'Source Sans Pro', 'Titillium Web', 'Ubuntu', 'Voces' );

echo '<optgroup label="Wybrane"><option class="wybrane">'.$odczyt['kroj_tekstu'].'</option></optgroup>';

echo '<optgroup label="Standardowe">';
generuj_optgroup ($kroje_standardowe);
echo '</optgroup>';

echo '<optgroup label="Google WebFonts">';
generuj_optgroup ($kroje_webfonts);
echo '</optgroup>';
?>
</select>

</td> </tr>
<tr> <td>Szerokość strony:</td> <td><input type="number" name="szerokosc_strony" value="<?php echo $odczyt['szerokosc_strony'] ?>" step="25" min="400" /></td> </tr>

</table>

<?php if ( !$motyw['ustawienia_uzytkownika'] ) { ?>
<p class="uwaga">Powyższe ustawienia wyglądu nie zostaną uwzględnione, ponieważ zostały one wyłączone w aktualnie używanym motywie.</p>
<?php } ?>

<p class="info">Wykorzystanie krojów z serwisu <a href="http://google.com/webfonts" target="_blank">Google Web Fonts</a> może nieznacznie spowolnić ładowanie strony.</p>

<table>

<caption>Logo</caption>

<tr> <td>Aktualne logo:</td> <td><?php if ( !empty($odczyt['logo']) ) { ?><a href="<?php echo odczyt_konf('ustawienia','adres').'/'.PLIKI.'/'.$odczyt['logo'] ?>" target="_blank"><?php echo $odczyt['logo'] ?><?php } else echo '(brak)'; ?></td> </tr>
<tr> <td>Nowe logo:</td> <td><input type="file" name="plik_logo" /></td> </tr>
<tr> <td></td> <td><label><input type="checkbox" name="usun_logo" value="1" onclick="alert('Usunięcie logo to operacja nieodwracalna.')" />usuń logo</label></td> </tr>

</table>

<input type="hidden" name="logo" value="<?php echo $odczyt['logo'] ?>" />

<?php if ( !$motyw['logo_uzytkownika'] ) { ?>
<p class="uwaga">Powyższe ustawienia logo nie zostaną uwzględnione, ponieważ zostały one wyłączone w aktualnie używanym motywie.</p>
<?php } ?>

<table>

<caption>Motywy</caption>

<tr> <td>Dostępne motywy:</td> <td>

<select name="motyw">
<?php
$motywy_system = glob ( SYSTEM . '/motywy/*.wtm' );
$motywy_system = array_map ( 'basename', $motywy_system );
foreach ( $motywy_system as $numer => $element ) {
  $motywy_system[$numer] = 's_' . substr ( $element, 0, strlen($element)-4 );
  $motyw_j = odczyt_motyw ( $motywy_system[$numer] );
  $motywy_system_nazwy[$numer] = $motyw_j['nazwa_motywu'];
}

$motywy_dane = glob ( DANE . '/motywy/*.wtm' );
if ( !empty($motywy_dane) ) {
  $motywy_dane = array_map ( 'basename', $motywy_dane );
  foreach ( $motywy_dane as $numer => $element ) {
    $motywy_dane[$numer] = 'd_' . substr ( $element, 0, strlen($element)-4 );
    $motyw_j = odczyt_motyw ( $motywy_dane[$numer] );
    $motywy_dane_nazwy[$numer] = $motyw_j['nazwa_motywu'] . '*';
  }
}

if ( $motyw['wlasne'] )
  $motyw['nazwa_motywu'] .= '*';
echo '<optgroup label="Wybrane"><option class="wybrane" value="'.$odczyt['motyw'].'">'.$motyw['nazwa_motywu'].'</option></optgroup>';

echo '<optgroup label="Wbudowane">';
generuj_optgroup ($motywy_system_nazwy,$motywy_system);
echo '</optgroup>';

if ( !empty($motywy_dane) ) {
  echo '<optgroup label="Własne">';
  generuj_optgroup ($motywy_dane_nazwy,$motywy_dane);
  echo '</optgroup>';
}
?>
</select>

<tr> <td></td> <td><label><input type="checkbox" name="ustawienia_uzytkownika" value="1" <?php zaznacz_checkbox($odczyt['ustawienia_uzytkownika']) ?> />użyj ustawień wyglądu użytkownika</label></td> </tr>

</td> </tr>

</table>
<?php } ?>

<p class="submit">
<input type="submit" value="Zapisz zmiany" />
<?php if ($b != 'edycja-motywu') { ?><a href="?a=wyglad&b=edycja-motywu&kod=<?php echo $kod ?>">Zaawansowana edycja motywu</a><?php } else { ?>
<a href="<?php echo $motyw['www'] ?>" target="_blank"><span>autor motywu: </span><?php echo $motyw['autor'] ?></a><?php } ?>
</p>


</form>

<?php
include('_stopka.php');